# Restic Backup and Restore Guide

## 📚 Useful Commands

### 🔄 Restoring Files from a Running Docker Compose Container

**1. Identify Latest Snapshot for the Host:** Execute the following command to find the latest snapshot for the current host and note down the ID.

```
# Find the latest snapshot for the current host (note the ID)
docker-compose exec app restic snapshots -H <HOSTNAME>
```

**2. Restore Specific File:** Use the snapshot ID to restore the desired file on the host.

```
docker-compose exec app restic restore --include /path/to/file <ID>
```

### 📋 Listing Snapshots
```
docker compose run --rm backup snapshots
```

### 🌐 Accessing Backblaze Files Locally

In local, download via `brew install b2-tools`


## Known issues

### 🚫 Ciphertext Verification Failure
```
Fatal: config or key 2327d55bb96f4cab846b07cc8ffe5906c88c3e657f326a506ccfcf95cd8fd1e7 is damaged: ciphertext verification failed
```

[Related issue](https://github.com/djmaze/resticker/issues/48)

### ⚠️ Pruning and Backup Operations

Do not run both prune and backup at the same time. When initializing, need to run individually.

```
docker compose up -d backup
```

```
docker compose up -d prune
```

```
docker compose up -d check
```